堡塔724运维节,企业版724元/年,永久授权最高立减6000元,仅限7.24日当天查看活动
当前位置:论坛首页 > Linux面板 > 求助

【已解答】ubuntu 20.04 LTS安装问题

发表在 Linux面板4 天前 [复制链接] 1 34

PHP80版本在安装扩展时

gmp sysvmsg sysvmsg 安装不上,原因不明,根据安装提示,手动下载安装脚本


发现 gmp 安装失败是 少了 libgmp-dev 手动安装 apt install libgmp-dev -y 问题解决;


sysvmsg 和 sysvmsg  安装均报错



  1. /www/server/php/80/src/ext/sysvmsg/sysvmsg.c: In function ‘zm_startup_sysvmsg’:
  2. /www/server/php/80/src/ext/sysvmsg/sysvmsg.c:124:42: error: ‘zend_objects_not_comparable’ undeclared (first use in this function); did you mean ‘zend_object_compare_t’?
  3.   124 |  sysvmsg_queue_object_handlers.compare = zend_objects_not_comparable;
  4.       |                                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
  5.       |                                          zend_object_compare_t
  6. /www/server/php/80/src/ext/sysvmsg/sysvmsg.c:124:42: note: each undeclared identifier is reported only once for each function it appears in
  7. make: *** [Makefile:208: sysvmsg.lo] Error 1
复制代码
暂无法解决。
使用道具 举报 只看该作者 回复
发表于 4 天前 | 显示全部楼层
等官方兼容,你编不上我们也编不上。。
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表